Kerbal Space Program - Bug #10099

Convert-o-tron 250 overheats with retractable radiators
07/09/2016 08:06 AM - bewing

Status: Closed Start date: 07/09/2016
Severity: Normal % Done: 100%
Assignee: RoverDude

Category: Physics

Target version:

Version: 1.1.3 Language: English (US)
Platform: Windows Mod Related: No
Description

(64 bit KSP on Win7 Pro)

The ISR unit does not obey the core cooling capacities of retractable radiators. With one converter channel running at 100%, it is
listed everywhere that the ISRU will produce 200kW of core heat. One medium Thermal Control System provides 250kW of cooling.
Therefore just one should prevent the converter from overheating.

What actually happens: the converter overheats. It takes many more retractable radiators to keep it from overheating than it should
(but they do cool it a little bit).

If you replace the 250kW Thermal Control System with a single large fixed Radiator Panel (only 200kW of cooling) then the converter
does not overheat. Four of the 50kW fixed Radiator Panels also completely prevent overheating.

One large drill produces 100kW of core heat. If you turn off the converter, activate two drills, and rerun the experiment -- then the
drills do not overheat with either retractable or fixed radiator panels. So the problem is only with the Convert-o-Tron 250 and
retractable Thermal Control Systems. (Maybe also with the model 125, but that one is impossible to test this way.)

The attached craft file is intended to launch from the SPH onto the runway (sandbox mode is easiest) to test these effects.

History

#1 - 07/09/2016 09:01 AM - bewing
- File screenshot21.png added
- File screenshot24.png added
- File screenshot25.png added
- File screenshot22.png added

-- Dang. It's actually a little more complicated than | thought at first (in the above bug report).
With one 250kW retractable panel cooling just the converter, it does not overheat. If you additionally activate two drills and another 250kW panel,
then the converter does overheat, but the drills do not (this should be 400kW of core heat and 500kW of core cooling available).

So somehow when drills and the converter are running at the same time, the retractable panels lose about 160kW of core cooling capacity per drill
that is running? With one drill and the converter running, the converter starts to overheat at "350kW" of cooling -- one medium and two small panels.

The converter does not overheat if it is the only thing running, and only the 4 small cooling panels are active.

#2 - 07/17/2016 11:20 AM - TriggerAu
- Status changed from New to Updated
- % Done changed from 0 to 10

Setting updated for confirmation during cleanup
#3 - 07/19/2016 09:28 AM - bewing
Note that the overheating effect with the retractable panels is certainly related to the fact that when drills are operated concurrently with an ISRU, the

drills run extra fast. Which probably generates the extra heat that makes the system overheat.

#4 - 07/19/2016 10:07 AM - REAPER7
Someone forget that the cooling systems cool by the rule of closest first?
Also could you try doing the same without the struts in between? Not sure but | think structural components have lower heat transfer coefficients.
Also solar irradiance.

#6 - 11/25/2016 09:56 AM - AlffromKerbal
- File CoolersOverheated.jpg added

I'm on linux and version 1.2.1.
| have the impression to have a related problem.

No ISRU running, 3 drill-o-matic "running" but ore container full (and shut them down manually a minute ago before screenshot), 4 medium thermal
systems attached and glowing, having problems to cool down (also not cooling drill or converter at this stage) and flickering between 99.99% and
100.xx%. There is plenty of energy.

This is on the mun, it's sunrise and i just landed a vessel nearby. The base was left alone for some time.

After some time, they will cool down, but i'm wondering why 4 medium thermal systems couldn't cool 3 drill-o-matic.
Btw., the more ISRU run on convert-o-tron 250, the more heat it seems to produce. Don't know if this is intended, couldn't find any info about that.
#7 - 06/22/2017 03:22 AM - bewing
- Status changed from Updated to Resolved
- % Done changed from 10 to 100

#8 - 06/22/2017 08:39 PM - Squelch

- Status changed from Resolved to Closed

Files

heat_test5.craft 69.3 KB 07/09/2016 bewing
screenshot21.png 1.52 MB 07/09/2016 bewing
screenshot24.png 1.77 MB 07/09/2016 bewing
screenshot25.png 1.76 MB 07/09/2016 bewing
screenshot22.png 1.56 MB 07/09/2016 bewing
CoolersOverheated.jpg 351 KB 11/25/2016 AlffromKerbal
